Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.config.plugins.convert
Class TypeConverterRegistry

    java.lang.Object
      org.apache.logging.log4j.core.config.plugins.convert.TypeConverterRegistry

    public class TypeConverterRegistry

extends Object

Registry for `TypeConverter` plugins.

Since:
  2.1

Method Summary
`TypeConverter<?>` | `findCompatibleConverter(Type type)` Finds a `TypeConverter` for the given `Type`, falling back to an assignment-compatible TypeConverter if none exist for the given type.
`static TypeConverterRegistry` | `getInstance()` Gets the singleton instance of the TypeConverterRegistry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static TypeConverterRegistry getInstance()

  Gets the singleton instance of the TypeConverterRegistry.

  Returns:
    the singleton instance.

### findCompatibleConverter

    public TypeConverter<?> findCompatibleConverter(Type type)

  Finds a `TypeConverter` for the given `Type`, falling back to an assignment-compatible TypeConverter if none exist for the given type. That is, if the given Type does not have a TypeConverter, but another Type which can be assigned to the given Type does have a TypeConverter, then that TypeConverter will be used and registered.

  Parameters:
    `type` - the Type to find a TypeConverter for (must not be `null`).
  Returns:
    a TypeConverter for the given Type.
  Throws:
    `UnknownFormatConversionException` - if no TypeConverter can be found for the given type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.